> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Get non-insurance payer categories

GET https://api.taigabilling.com/api/non-insurance-payers/v1/categories

Returns a paginated list of all non-insurance payer categories.

Non-insurance payer categories are simply strings and are not stored as a
separate object in Taiga. They are created when added to at least one
non-insurance payer's `category` field and are deleted when there are no
longer any non-insurance payers that contain them.

Reference: https://docs.taigabilling.com/api-reference/non-insurance-payers-v-1/non-insurance-payers-v-1-get-categories

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Query parameters

- `search_term` (string, optional) — Filters categories by fuzzy matching on name.
- `limit` (integer, optional) — Limits the maximum number of categories that will be returned. Defaults to 100.
- `page_token` (string, optional) — The page token to continue paging through a previous request.

## Response

### 200

- `items` (list of string, required)
- `next_page_token` (string, optional, nullable)
- `prev_page_token` (string, optional, nullable)

## Examples

**Response**

```json
{
  "items": [
    "string"
  ],
  "next_page_token": "string",
  "prev_page_token": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/non-insurance-payers/v1/categories"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```